Name: ksmtuned
Version: 0.1.0
Release: %mkrel 4

Summary: Kernel Samepage Merging services
Group:   System/Kernel and hardware
License: GPLv2+
URL: https://github.com/ksmtuned/ksmtuned
Source0: https://github.com/ksmtuned/ksmtuned/archive/v%{version}/ksmtuned-%{version}.tar.gz

# Package was originally 'ksm' as a subpackage of 'qemu'
Obsoletes: ksm < 3.0.0-0.rc3.5

BuildRequires: gcc
BuildRequires: meson
%{?systemd_requires}
BuildRequires: systemd


%description
Kernel Samepage Merging (KSM) is a memory-saving de-duplication feature,
that merges anonymous (private) pages (not pagecache ones).

This package provides service files for disabling (ksm) and tuning
(ksmtuned)


%prep
%autosetup -p1


%build
%meson \
    -Dredhat-sysconfig=true
%meson_build


%install
%meson_install


%post
%systemd_post ksm.service
%systemd_post ksmtuned.service
%preun
%systemd_preun ksm.service
%systemd_preun ksmtuned.service
%postun
%systemd_postun_with_restart ksm.service
%systemd_postun_with_restart ksmtuned.service


%files
%license COPYING
%{_libexecdir}/ksmctl
%{_sbindir}/ksmtuned
%{_unitdir}/ksmtuned.service
%{_unitdir}/ksm.service
%config(noreplace) %{_sysconfdir}/ksmtuned.conf
%config(noreplace) %{_sysconfdir}/sysconfig/ksm




%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.1.0-4.mga8
+ Revision: 1525473
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 0.1.0-3.mga7
+ Revision: 1392704
- Rebuild with meson 0.50.1

* Tue Aug 28 2018 tv <tv> 0.1.0-2.mga7
+ Revision: 1255263
- fix obsoletes

* Thu Aug 16 2018 tv <tv> 0.1.0-1.mga7
+ Revision: 1251879
- imported package ksmtuned


* Thu Aug 16 2018 Thierry Vignaud <tv@mageia.org> 0.1.0-1.mga7
- Initial package
